- Qt 6.8
- Qt 3D
- C++ Classes
- Qt3DExtras (Deprecated)
- QSkyboxEntity
- Qt 6.8.2 Reference Documentation

# QSkyboxEntity Class

class Qt3DExtras::QSkyboxEntity

Qt3DExtras::QSkyboxEntity is a convenience Qt3DCore::QEntity subclass that can be used to insert a skybox in a 3D scene. More...

Header: | `#include <Qt3DExtras/QSkyboxEntity>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3dextras)` `target_link_libraries(mytarget PRIVATE Qt6::3dextras)`
qmake: | `QT += 3dextras`
In QML: | SkyboxEntity
Inherits: | Qt3DCore::QEntity
Status: | Deprecated

- List of all members, including inherited members

## Properties

- baseName : QString
- extension : QString
- gammaCorrect : bool

## Public Functions

| QSkyboxEntity(Qt3DCore::QNode *parent = nullptr)
QString | baseName() const
QString | extension() const
bool | isGammaCorrectEnabled() const

## Public Slots

void | setBaseName(const QString &baseName)
void | setExtension(const QString &extension)
void | setGammaCorrectEnabled(bool enabled)

## Signals

void | baseNameChanged(const QString &path)
void | extensionChanged(const QString &extension)
void | gammaCorrectEnabledChanged(bool enabled)

## Detailed Description

By specifying a base name and an extension, Qt3DExtras::QSkyboxEntity will take care of building a TextureCubeMap to be rendered at runtime. The images in the source directory should match the pattern: base name + * "_posx|_posy|_posz|_negx|_negy|_negz" + extension

By default the extension defaults to .png.

Be sure to disable frustum culling in the FrameGraph through which the skybox rendering happens.

Note: Please note that you shouldn't try to render a skybox with an orthographic projection.

## Property Documentation

### baseName : QString

Contains the base name of the Skybox.

Access functions:

QString | baseName() const
void | setBaseName(const QString &baseName)

Notifier signal:

void | baseNameChanged(const QString &path)

### extension : QString

Contains the extension of the filename for the skybox image, including the leading '.'.

The default value is: .png

Access functions:

QString | extension() const
void | setExtension(const QString &extension)

Notifier signal:

void | extensionChanged(const QString &extension)

### gammaCorrect : bool

A boolean indicating whether gamma correction is enabled.

Access functions:

bool | isGammaCorrectEnabled() const
void | setGammaCorrectEnabled(bool enabled)

Notifier signal:

void | gammaCorrectEnabledChanged(bool enabled)

## Member Function Documentation

### `[explicit]` QSkyboxEntity::QSkyboxEntity(Qt3DCore::QNode *parent = nullptr)

Constructs a new Qt3DExtras::QSkyboxEntity object with parent as parent.

### QString QSkyboxEntity::baseName() const

Returns the base name of the Skybox.

Note: Getter function for property baseName.

See also setBaseName().

### QString QSkyboxEntity::extension() const

Returns the extension

Note: Getter function for property extension.

See also setExtension().

### bool QSkyboxEntity::isGammaCorrectEnabled() const

Returns true if gamma correction is enabled for this skybox.

Note: Getter function for property gammaCorrect.

### `[slot]` void QSkyboxEntity::setBaseName(const QString &baseName)

Sets the base name to baseName.

Note: Setter function for property baseName.

See also baseName().

### `[slot]` void QSkyboxEntity::setExtension(const QString &extension)

Sets the extension to extension.

Note: Setter function for property extension.

See also extension().

### `[slot]` void QSkyboxEntity::setGammaCorrectEnabled(bool enabled)

Sets the gamma correction enable state to enabled.

Note: Setter function for property gammaCorrect.

See also isGammaCorrectEnabled().